{% load static %}
<link href="//netdna.bootstrapcdn.com/twitter-bootstrap/2.3.2/css/bootstrap-combined.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//netdna.bootstrapcdn.com/twitter-bootstrap/2.3.2/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
<script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.3.1.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/dataTables.buttons.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.html5.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/plug-ins/1.10.20/sorting/datetime-moment.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script>
<!------ Include the above in your HEAD tag ---------->
 <!--Arquivos CSS remotos-->
 <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/icon?family=Material+Icons">
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">

 <!--Arquivos CSS locais-->
 <link rel='stylesheet' type='text/css' href="{% static 'css/topnav_copy.css' %}">
 <link rel='stylesheet' type='text/css' href="{% static 'css/post_list.css' %}">


 <ul class="topnav">
  <li>
    <img class="logo" src="{% static 'img/logo.jpeg' %}" style="width:70%" >   
    Trippin
  </li>
  <div style="margin-left: 220px; margin-right: 150px;">
  <li class="active"><a href="{% url 'init_page' %}">Pagina inicial</a></li>
  <li class="active"><a href="{% url 'page_hotel' %}">Hoteis</a></li>
  <li class="active"><a href="{% url 'page_restaurant' %}">Restaurantes</a></li>
  <li class="active"><a href="{% url 'page_attractions' %}">Atrações</a></li>
  <li class="active"><a href="{% url 'human_user' %}">Perfil</a></li>
  <li class="active"><a href="{% url 'trippin_post' %}">Postar</a></li>
  <li class="active"><a href="{% url 'post_list' %}">Timeline</a></li>
  </div>
  {% if request.user %}
  <li class="logout"><a href="{% url 'logout' %}">Logout</a></li>
  {% endif%}
</ul>
  <br>
  <br>
  <br>
  <br>
  <br>
  <br>

  <form class="form" method="POST">
    <ul>
    {% csrf_token %}
    {{ form.as_p }}
 
 
    <select type="text" class="field-style field-full align-none" placeholder="Tipo de estabelecimento" name="user_type" required>
      <option value="">Tipo de estabelecimento</option>
      <option value="Hotel">Hotel</option>
      <option value="Restaurante">Restaurante</option>
      <option value="Atracao">Atração</option>
    </select>

  {% csrf_token %}
    <input type="submit" name="Escolher"/>
    
    </ul>
    </form>




<!--<form class="form" method="POST">
 {% csrf_token %}
 {{ form.as_p }}
<input type="submit"  name="Adicionar" />
</form>-->
 <!--Tabela-->
 {% if tipo == "Hotel" %}

 <form class="form" method="POST">
    <ul>
    {% csrf_token %}
    {{ form.as_p }}
 
  <li>
      
    <select type="text" class="field-style field-full align-none" placeholder="Adress" name="hotel_adress" required>
      <option value="">Código da Cidade</option>
      <option value='BCN'>Barcelona</option>
      <option value='PRG'>Prague</option>
      <option value='BUD'>Budapest</option>
      <option value='PAR'>Paris</option>
      <option value='MAD'>Madrid</option>
      <option value='BER'>Berlin</option>
      <option value='STO'>Stockholm</option>
      <option value='ATH'>Athens</option>
      <option value='LON'>London</option>
      <option value='AMS'>Amsterdam</option>
      <option value='VIE'>Vienna</option>
      <option value='MCM'>Monaco</option>
      <option value='LUX'>Luxembourg</option>
      <option value='OSL'>Oslo</option>
      <option value='DUB'>Dublin</option>
      <option value='CPH'>Copenhagen</option>
      <option value='MOW'>Moscow</option>
      <option value='MEX'>Mexico City</option>
      <option value='MVD'>Montevideo</option>
      <option value='SCL'>Santiago</option>
      <option value='NAS'>Nassau</option>
      <option value='SAL'>San Salvador</option>
      <option value='BSB'>Brasília</option>
      <option value='ASU'>Asunción</option>
      <option value='BOG'>Bogotá</option>
      <option value='WAS'>Washington D.C.</option>
      <option value='BUE'>Buenos Aires</option>
      <option value='HAV'>Havana</option>
      <option value='PAK'>Panama City</option>
      <option value='LIM'>Lima</option>
      <option value='BEY'>Beirut</option>
      <option value='AUH'>Abu Dhabi</option>
      <option value='TYO'>Tokyo</option>
      <option value='BJS'>Beijing</option>
      <option value='BGW'>Baghdad</option>
      <option value='DAC'>Dhaka</option>
      <option value='THR'>Tehran</option>
      <option value='ICN'>Seoul</option>
      <option value='JRS'>Jerusalem</option>
      <option value='KBL'>Kabul</option>
      <option value='MOW'>Moscow</option>
      <option value='KUL'>Kuala Lumpur</option>
      <option value='SIN'>Singapore</option>
      <option value='CAI'>Cairo</option>
      <option value='TUN'>Tunis</option>
      <option value='TMS'>São Tomé</option>
      <option value='OXB'>Bissau</option>
      <option value='BJL'>Banjul</option>
      <option value='DKR'>Dakar</option>
      <option value='LAD'>Luanda</option>
      <option value='CBR'>Canberra</option>
    </select>
  {% csrf_token %}
  
    <select type="text" class="field-style field-full align-none" placeholder="Tipo de estabelecimento" name="user_type" required>
      <option value="">Tipo de estabelecimento</option>
      <option value="Hotel">Hotel</option>
      <option value="Restaurante">Restaurante</option>
      <option value="Atracao">Atração</option>
    </select>

  {% csrf_token %}
    <input type="submit" name="Adicionar1"/>
    
    </ul>
    </form>

 <div class="lista">
    <table class="display" id="hoteis">
      <!--Cabecalho-->
      <thead>
        <tr>
          <th>Hotel</th>
          <th>Avaliação</th>
          <th>Endereço</th>
          <th>Preço</th>
          <th>Facilidades</th>
          <th>E-mail</th>
          <th>Telefone</th>
        </tr>
      </thead>

      <!--Resto da tabela-->
      <tbody class="tabela">
        {% for hotel in busca %}
        <tr>
            <td><a href = "profile/{{ hotel.hotel_name }}">{{ hotel.hotel_name }}</a></td>
            {% if hotel.hotel_rating == '0' %}
            <td><span class="fa fa-star"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span></td>
            {% endif %}
            {% if hotel.hotel_rating == '1' %}
            <td><span class="fa fa-star checked"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span></td>
            {% endif %}
            {% if hotel.hotel_rating == '2' %}
            <td><span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span></td>
            {% endif %}
            {% if hotel.hotel_rating == '3' %}
            <td><span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star"></span>
              <span class="fa fa-star"></span></td>
            {% endif %}
            {% if hotel.hotel_rating == '4' %}
            <td><span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star"></span></td>
            {% endif %}
            {% if hotel.hotel_rating == '5' %}
            <td><span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span>
              <span class="fa fa-star checked"></span></td>
            {% endif %}
            <td>{{ hotel.hotel_adress }}</td>
            <td>${{ hotel.hotel_price }}</td>
            
            <!--<script> 
            var str = document.getElementById("amenities").textElement;
            for(let i = 0; i < str.length; i++){
              if (str[i] == "_"){
                str[i] = " ";
              }
            }
            print(str);
            document.getElementById("amenities").textElement = str;
            </script>-->
            <td id="amenities">{{ hotel.hotel_amenities }} </td>
            <td>{{ hotel.hotel_email }}</td>
            <td>{{ hotel.hotel_phone_number }}</td>
          </tr>
        {% endfor %}
    </tbody>
</table>
</div>

{% endif %}

{% if tipo == "Restaurante" %}

 <form class="form" method="POST">
    <ul>
    {% csrf_token %}
    {{ form.as_p }}
 
  <li>
      
    <select type="text" class="field-style field-full align-none" placeholder="Adress" name="restaurant_adress" required>
      <option value="">Código da Cidade</option>
      <option value='{"lat": 41.397158,"long": 2.160873}'>Barcelona</option>
      <option value='{"lat": 50.06898,"long": 14.45367}'>Prague</option>
      <option value='{"lat": 47.49622,"long": 19.04588}'>Budapest</option>
      <option value='{"lat": 48.85756,"long": 2.3428}'>Paris</option>
      <option value='{"lat": 40.42955,"long": -3.67930}'>Madrid</option>
      <option value='{"lat": 52.50143,"long": 13.40479}'>Berlin</option>
      <option value='{"lat": 59.31074,"long": 18.10275}'>Stockholm</option>
      <option value='{"lat": 37.99231,"long": 23.72062}'>Athens</option>
      <option value='{"lat": 51.51753,"long": -0.11214}'>London</option>
      <option value='{"lat": 52.36053,"long": 4.89668}'>Amsterdam</option>
      <option value='{"lat": 48.19231,"long": 16.37136}'>Vienna</option>
      <option value='{"lat": 43.72846,"long": 7.42103}'>Monaco</option>
      <option value='{"lat": 49.61161,"long": 6.12994}'>Luxembourg</option>
      <option value='{"lat": 59.91694,"long": 10.77569}'>Oslo</option>
      <option value='{"lat": 53.32306,"long": -6.25415}'>Dublin</option>
      <option value='{"lat": 55.6795,"long": 12.5912}'>Copenhagen</option>
      <option value='{"lat": 55.75706,"long": 37.60976}'>Moscow</option>
      <option value='{"lat": 19.432666,"long": -99.1324396}'>Mexico City</option>
      <option value='{"lat": -34.90860,"long": -56.14225}'>Montevideo</option>
      <option value='{"lat": -33.42951,"long": -70.58762}'>Santiago</option>
      <option value='{"lat": 25.07517,"long": -77.41078}'>Nassau</option>
      <option value='{"lat": 13.68918,"long": -89.29178}'>San Salvador</option>
      <option value='{"lat": -15.73806,"long": -47.89595}'>Brasília</option>
      <option value='{"lat": -27.36677,"long": -55.89655}'>Asunción</option>
      <option value='{"lat": 4.55510,"long": -74.15039}'>Bogotá</option>
      <option value='{"lat": -77.03535,"long": 38.898754}'>Washington D.C.</option>
      <option value='{"lat": -34.60983,"long": -58.45228}'>Buenos Aires</option>
      <option value='{"lat": 21.80625,"long": -79.99015}'>Havana</option>
      <option value='{"lat": 8.79551,"long": -82.43793}'>Panama City</option>
      <option value='{"lat": -12.04946,"long": -77.03397}'>Lima</option>
      <option value='{"lat": 33.87589,"long": 35.53858}'>Beirut</option>
      <option value='{"lat": 24.23937,"long": 55.73137}'>Abu Dhabi</option>
      <option value='{"lat": 35.68046,"long": 139.68875}'>Tokyo</option>
      <option value='{"lat": 39.913818,"long": 116.363625}'>Beijing</option>
      <option value='{"lat": 33.38238,"long": 44.45044}'>Baghdad</option>
      <option value='{"lat": 23.70605,"long": 90.47172}'>Dhaka</option>
      <option value='{"lat": 35.65793,"long": 51.39779}'>Tehran</option>
      <option value='{"lat": 37.47836,"long": 127.01317}'>Seoul</option>
      <option value='{"lat": 31.79002,"long": 35.20262}'>Jerusalem</option>
      <option value='{"lat": 34.00756,"long": 69.01514}'>Kabul</option>
      <option value='{"lat": 3.13871,"long": 101.68210}'>Kuala Lumpur</option>
      <option value='{"lat": 1.38986,"long": 103.98226}'>Singapore</option>
      <option value='{"lat": 30.03497,"long": 31.56346}'>Cairo</option>
      <option value='{"lat": 36.74883,"long": 10.24525}'>Tunisia</option>
      <option value='{"lat": 0.35589,"long": 6.70459}'>São Tomé</option>
      <option value='{"lat": 12.11844,"long": -14.45580}'>Bissau</option>
      <option value='{"lat": 13.4647,"long": -16.67621}'>Banjul</option>
    </select>
  {% csrf_token %}
  
    <select type="text" class="field-style field-full align-none" placeholder="Tipo de estabelecimento" name="user_type" required>
      <option value="">Tipo de estabelecimento</option>
      <option value="Hotel">Hotel</option>
      <option value="Restaurante">Restaurante</option>
      <option value="Atracao">Atração</option>
    </select>
  </li>

  {% csrf_token %}
    <input type="submit" name="Adicionar2"/>
    
    </ul>
    </form>

 <!--Tabela-->
 <div class="lista">
    <table class="display" id="hoteis">
      <!--Cabecalho-->
      <thead>
        <tr>
          <th>Restaurante</th>
          <th>Endereço</th>
          <th>Cozinhas</th>
          <th>Email</th>
          <th>Dietas Especiais</th>
          <th>Telefone</th>
          <th>Horário de Funcionamento</th>
          <th>Tags</th>
        </tr>
      </thead>

      <!--Resto da tabela-->
      <tbody class = "tabela">
        {% for restaurant in busca %}
        <tr>
          <td><a href = "profile/{{ restaurant.restaurant_name }}">{{ restaurant.restaurant_name }}</a></td>
          <td>{{ restaurant.restaurant_adress }}</td>
          <td>{{ restaurant.restaurant_cuisines }}</td>
          <td>{{ restaurant.restaurant_email }}</td>
          <td>{{ restaurant.restaurant_special_diets }}</td>
          <td>{{ restaurant.restaurant_phone_number }}</td>
          <td>{{ restaurant.restaurant_business_hours }}</td>
          <td>{{ restaurant.tags }}</td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>

{% endif %}

{% if tipo == "Atracao" %}

 <form class="form" method="POST">
    <ul>
    {% csrf_token %}
    {{ form.as_p }}
 
  <li>
      
    <select type="text" class="field-style field-full align-none" placeholder="Adress" name="atracao_adress" required>
      <option value="">Código da Cidade</option>
      <option value='{"lat": 41.397158,"long": 2.160873}'>Barcelona</option>
      <option value='{"lat": 50.06898,"long": 14.45367}'>Prague</option>
      <option value='{"lat": 47.49622,"long": 19.04588}'>Budapest</option>
      <option value='{"lat": 48.85756,"long": 2.3428}'>Paris</option>
      <option value='{"lat": 40.42955,"long": -3.67930}'>Madrid</option>
      <option value='{"lat": 52.50143,"long": 13.40479}'>Berlin</option>
      <option value='{"lat": 59.31074,"long": 18.10275}'>Stockholm</option>
      <option value='{"lat": 37.99231,"long": 23.72062}'>Athens</option>
      <option value='{"lat": 51.51753,"long": -0.11214}'>London</option>
      <option value='{"lat": 52.36053,"long": 4.89668}'>Amsterdam</option>
      <option value='{"lat": 48.19231,"long": 16.37136}'>Vienna</option>
      <option value='{"lat": 43.72846,"long": 7.42103}'>Monaco</option>
      <option value='{"lat": 49.61161,"long": 6.12994}'>Luxembourg</option>
      <option value='{"lat": 59.91694,"long": 10.77569}'>Oslo</option>
      <option value='{"lat": 53.32306,"long": -6.25415}'>Dublin</option>
      <option value='{"lat": 55.6795,"long": 12.5912}'>Copenhagen</option>
      <option value='{"lat": 55.75706,"long": 37.60976}'>Moscow</option>
      <option value='{"lat": 19.432666,"long": -99.1324396}'>Mexico City</option>
      <option value='{"lat": -34.90860,"long": -56.14225}'>Montevideo</option>
      <option value='{"lat": -33.42951,"long": -70.58762}'>Santiago</option>
      <option value='{"lat": 25.07517,"long": -77.41078}'>Nassau</option>
      <option value='{"lat": 13.68918,"long": -89.29178}'>San Salvador</option>
      <option value='{"lat": -15.73806,"long": -47.89595}'>Brasília</option>
      <option value='{"lat": -27.36677,"long": -55.89655}'>Asunción</option>
      <option value='{"lat": 4.55510,"long": -74.15039}'>Bogotá</option>
      <option value='{"lat": -77.03535,"long": 38.898754}'>Washington D.C.</option>
      <option value='{"lat": -34.60983,"long": -58.45228}'>Buenos Aires</option>
      <option value='{"lat": 21.80625,"long": -79.99015}'>Havana</option>
      <option value='{"lat": 8.79551,"long": -82.43793}'>Panama City</option>
      <option value='{"lat": -12.04946,"long": -77.03397}'>Lima</option>
      <option value='{"lat": 33.87589,"long": 35.53858}'>Beirut</option>
      <option value='{"lat": 24.23937,"long": 55.73137}'>Abu Dhabi</option>
      <option value='{"lat": 35.68046,"long": 139.68875}'>Tokyo</option>
      <option value='{"lat": 39.913818,"long": 116.363625}'>Beijing</option>
      <option value='{"lat": 33.38238,"long": 44.45044}'>Baghdad</option>
      <option value='{"lat": 23.70605,"long": 90.47172}'>Dhaka</option>
      <option value='{"lat": 35.65793,"long": 51.39779}'>Tehran</option>
      <option value='{"lat": 37.47836,"long": 127.01317}'>Seoul</option>
      <option value='{"lat": 31.79002,"long": 35.20262}'>Jerusalem</option>
      <option value='{"lat": 34.00756,"long": 69.01514}'>Kabul</option>
      <option value='{"lat": 3.13871,"long": 101.68210}'>Kuala Lumpur</option>
      <option value='{"lat": 1.38986,"long": 103.98226}'>Singapore</option>
      <option value='{"lat": 30.03497,"long": 31.56346}'>Cairo</option>
      <option value='{"lat": 36.74883,"long": 10.24525}'>Tunisia</option>
      <option value='{"lat": 0.35589,"long": 6.70459}'>São Tomé</option>
      <option value='{"lat": 12.11844,"long": -14.45580}'>Bissau</option>
      <option value='{"lat": 13.4647,"long": -16.67621}'>Banjul</option>
    </select>
  {% csrf_token %}
  
    <select type="text" class="field-style field-full align-none" placeholder="Tipo de estabelecimento" name="user_type" required>
      <option value="">Tipo de estabelecimento</option>
      <option value="Hotel">Hotel</option>
      <option value="Restaurante">Restaurante</option>
      <option value="Atracao">Atração</option>
    </select>

  {% csrf_token %}
    <input type="submit" name="Adicionar3"/>
    
    </ul>
    </form>

 <!--Tabela-->
 <div class="lista">
    <table class="display" id="hoteis">
      <!--Cabecalho-->
      <thead>
        <tr>
          <th>Atração</th>
          <th>Endereço</th>
          <th>Preço</th>
          <th>Email</th>
          <th>Horário de Funcionamento</th>
          <th>Telefone</th>
        </tr>
      </thead>

      <!--Resto da tabela-->
      <tbody class = "tabela">
        {% for attraction in busca %}
        <tr>
          <td><a href = "profile/{{ attraction.attraction_name }}">{{ attraction.attraction_name }}</a></td>
          <td>{{ attraction.attraction_adress }}</td>
          <td>${{ attraction.attraction_paid }}</td>
          <td>{{ attraction.attraction_email }}</td>
          <td>{{ attraction.attraction_business_hours }}</td>
          <td>{{ attraction.attraction_phone_number }}</td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>

{% endif %}


<style>

.conteudo-2-1 {
    float:left;
    width: 30%;
}
.conteudo-2-2 {
    float:right;
    width:70%;
align-content: center;}

.topnav{
overflow: hidden;
background-color: #B4B4B7;
list-style-type: none;
border-radius: 20px;
margin: 0 0;
padding: 0 0;
}

.topnav li {
float: left;
margin-top: 25px; 
margin-left: 25px;
}

.topnav li.logout
{
background-color: #373ca0;
color: white;
margin-top: 25px;
margin-right: 25px;
float: right;
}

img {
    display: block;
    margin-left: 0;
    margin-right: -430px;
    border-right: -10px;
    padding: 0 0;
    max-width: 500px;
    }

.topnav li.active
{
background-color: #a1c1d3;
color: #ffffff;
margin: 25px 25px;
border-radius: 10px;
text-align: left;
}

li{
  align-content: center;
}
    
    
    </style>